Index: apps/app_meetme.c
===================================================================
--- apps/app_meetme.c	(revision 421043)
+++ apps/app_meetme.c	(working copy)
@@ -1379,7 +1379,13 @@
 		}
 	}
 
-	msg = ast_channel_blob_create_from_cache(ast_channel_uniqueid(chan), message_type, json_object);
+	if (chan) {
+		ast_channel_lock(chan);
+	}
+	msg = ast_channel_blob_create(chan, message_type, json_object);
+	if (chan) {
+		ast_channel_unlock(chan);
+	}
 
 	if (!msg) {
 		return;
